/*
エレシュキガル
*/

"use strict";

//Assorts Modules
const prapor = require("./src/prapor.js");
const therapist = require("./src/therapist.js");
const skier = require("./src/skier.js");
const mechanic = require("./src/mechanic.js");
const peacekeeper = require("./src/peacekeeper.js");
const ragman = require("./src/ragman.js");
const jeager = require("./src/jeager.js");


class GenerateEverything {
    constructor() {
        const mod = require("./package.json")
        Logger.info(`Loading: ${mod.name} : ${mod.version}`);
        ModLoader.onLoad["Assorts-prapor"] = prapor.generatePraporAssort;
        ModLoader.onLoad["Assorts-therapist"] = therapist.generateTherapistAssort;
        ModLoader.onLoad["Assorts-skier"] = skier.generateSkierAssort;
        ModLoader.onLoad["Assorts-mechanic"] = mechanic.generateMechanicAssort;
        ModLoader.onLoad["Assorts-peacekeeper"] = peacekeeper.generatePeacekeeperAssort;
        ModLoader.onLoad["Assorts-ragman"] = ragman.generateRagmanAssort;
        ModLoader.onLoad["Assorts-jeager"] = jeager.generateJeagerAssort;
    }

}

module.exports = new GenerateEverything();